## org.eclipse.datatools.modelbase.sql.query.helper
Class DatabaseHelper

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.helper.DatabaseHelper

public class DatabaseHelper
extends java.lang.Object

This class provides a set of utility methods for dealing with RDBDatabase objects and associated objects such as RDBTable and RDBColumn.

Constructor Summary
`DatabaseHelper()`

Method Summary
`static DataType` `getDataType(int decimal, java.lang.String string, java.lang.String string2, java.lang.String string3, Database adb)` Deprecated. not even implemented! use `ValueExpressionHelper#getPredefinedDataTypeForSimpleValue(String)`
`static void` `resolveTableReferenceRDBTable(TableInDatabase aTableInDB, Database aDatabase, java.lang.String aDefaultSchemaName)` Resolves the table references in the From clause of the given query so that each has the correct RDBTable attached to it.
`static void` `resolveTableReferenceRDBTables(java.util.List aTableRefList, Database aDatabase, java.lang.String aDefaultSchemaName)` Deprecated. table reference resolving is now done by post parse processer, use `org.eclipse.datatools.modelbase.parsers.sql.query.postparse.TableReferenceResolver` with `org.eclipse.datatools.modelbase.parsers.sql.query.SQLQueryParserManager`
`static void` `resolveTableReferenceRDBTables(QueryStatement aSQLStmt, Database aDatabase, java.lang.String aDefaultSchemaName)` Deprecated. table reference resolving is now done by post parse processer, use `org.eclipse.datatools.modelbase.parsers.sql.query.postparse.TableReferenceResolver` with `org.eclipse.datatools.modelbase.parsers.sql.query.SQLQueryParserManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseHelper

    public DatabaseHelper()

Method Detail

### resolveTableReferenceRDBTables

    public static void resolveTableReferenceRDBTables(QueryStatement aSQLStmt,
                                                      Database aDatabase,
                                                      java.lang.String aDefaultSchemaName)

  Deprecated. table reference resolving is now done by post parse processer, use `org.eclipse.datatools.modelbase.parsers.sql.query.postparse.TableReferenceResolver` with `org.eclipse.datatools.modelbase.parsers.sql.query.SQLQueryParserManager`

  DO NOT USE ANYMORE IN CONNECTION WITH org.eclipse.datatools.sqltools.parsers.sql.query PARSER! Resolves the table references in the From clause of the given query so that each has the correct RDBTable attached to it.

  Parameters:
    `aSQLStmt` - a SQL statement which's table refernces are to be resolved
    `aDatabase` - a Database to use to get RDBTables
    `aDefaultSchemaName` - the name of the Schema the tables will be looked up for, if the tables are not already qualified

### resolveTableReferenceRDBTables

    public static void resolveTableReferenceRDBTables(java.util.List aTableRefList,
                                                      Database aDatabase,
                                                      java.lang.String aDefaultSchemaName)

  Deprecated. table reference resolving is now done by post parse processer, use `org.eclipse.datatools.modelbase.parsers.sql.query.postparse.TableReferenceResolver` with `org.eclipse.datatools.modelbase.parsers.sql.query.SQLQueryParserManager`

  DO NOT USE ANYMORE IN CONNECTION WITH org.eclipse.datatools.sqltools.parsers.sql.query PARSER! Resolves the table references in the From clause of the given query so that each has the correct RDBTable attached to it.

  Parameters:
    `aTableRefList` - a list of table references to be resolved
    `aDatabase` - an Database to use to get RDBTables
    `aDefaultSchemaName` - the name of the Schema the tables will be looked up for, if the tables are not already qualified

### resolveTableReferenceRDBTable

    public static void resolveTableReferenceRDBTable(TableInDatabase aTableInDB,
                                                     Database aDatabase,
                                                     java.lang.String aDefaultSchemaName)

  Resolves the table references in the From clause of the given query so that each has the correct RDBTable attached to it.

  Parameters:
    `aTableInDB` - a table references to be resolved
    `aDatabase` - an Database to use to get RDBTables
    `aDefaultSchemaName` - the name of the Schema the tables will be looked up for, if the tables are not already qualified

### getDataType

    public static DataType getDataType(int decimal,
                                       java.lang.String string,
                                       java.lang.String string2,
                                       java.lang.String string3,
                                       Database adb)

  Deprecated. not even implemented! use `ValueExpressionHelper#getPredefinedDataTypeForSimpleValue(String)`

  Parameters:
    `decimal` -
    `string` -
    `string2` -
    `string3` -
    `adb` -
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.